export interface Edge {
  from: string;
  to: string;
  color: string;
  relation: "likes" | "dislikes";
}
export interface Node {
  id: string;
}
export default interface NetworkData {
  nodes: Node[];
  edges: Edge[];
}

export interface PlayerRanking {
  p_id: number;
  rank: number;
  std: number;
  n: number;
}

export interface Chemistry {
  id: number;
  user: number;
  hate: number[];
  undecided: number[];
  love: number[];
}

export interface PlayerType {
  id: number;
  user: number;
  handlers: number[];
  combis: number[];
  cutters: number[];
}

export interface MVPRanking {
  id: number;
  user: number;
  mvps: number[];
}

export interface Team {
  id: number;
  name: string;
  location: string;
  country: string;
  mixed: boolean;
}

export type ErrorState = {
  ok: boolean;
  message: string;
};
